COMEDI_GET_ROUTING(3)

NAME
comedi_get_routing - get routing for an output

SYNOPSIS

#include <comedilib.h>

int comedi_get_routing(comedi_t * device, unsigned int subdevice, unsigned int channel, unsigned int * routing);

STATUS

alpha

DESCRIPTION

This function queries the routing for an output, as set by comedi_set_routing. The currently configured routing will be written to *routing. The possible values and their corresponding routings are driver-dependant.

This function is only useable on subdevices that provide support for the INSN_CONFIG_GET_ROUTING configuration instruction.

RETURN VALUE

0 on success, -1 on error.

AUTHORS

David Schleef <ds@schleef.org>
    Author.

Frank Mori Hess <fmhess@users.sourceforge.net>
    Author.

Herman Bruyninckx <Herman.Bruyninckx@mech.kuleuven.ac.be>
    Author.

Bernd Porr <tech@linux-usb-daq.co.uk>
    Author.

Ian Abbott <abbotti@mev.co.uk>
    Author.

Éric Piel <piel@delmic.com>
    Author.

COPYRIGHT
Copyright © 1998-2003 David Schleef
Copyright © 2001-2003, 2005, 2008 Frank Mori Hess
Copyright © 2002-2003 Herman Bruyninckx
Copyright © 2012 Bernd Porr
Copyright © 2012 Ian Abbott
Copyright © 2012, 2015 Éric Piel

This document is part of Comedilib. In the context of this document, the term "source code" as defined by the license is interpreted as the XML source.

This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation, version 2.1 of the License.

This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License along with this library; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.